[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

libgcc Provides



I built a libgcc-3.4.1 RPM from a source RPM downloaded from
redhat.com.  Unfortunately, it won't install, because it contains
/lib/libgcc_s.so.1, which currently belongs to libgcc-3.2.2, but
doesn't Provide it.  rpm tells me this about the old version:

% rpm -q --provides libgcc-3.2.2-5
libgcc_s.so.1
libgcc_s.so.1(GCC_3.0)
libgcc_s.so.1(GLIBC_2.0)
libgcc = 3.2.2-5

The new RPM I built only provides "libgcc = 3.4.1-7".  If I'm reading
Maximum RPM right, because the package contains a .so, it should've
been added to the provides list.  Is this not the case?  Also, does
anybody know if the extra provides from the old package are there due
to some automated process, or were they added by hand?

Thanks,
Matt



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]